Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface TransletOutputHandler

All Known Implementing Classes:
  TextOutput, TransletOutputBase, SAXAdapter, OutputBase

public interface TransletOutputHandler

Method Summary
`void` | `attribute(java.lang.String attributeName, java.lang.String attributeValue)`
`void` | `characters(char[] characters, int offset, int length)`
`void` | `characters(java.lang.String characters)`
`void` | `close()`
`void` | `comment(java.lang.String comment)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)`
`void` | `omitHeader(boolean value)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setCdataElements(Hashtable elements)`
`void` | `setDoctype(java.lang.String system, java.lang.String pub)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setIndent(boolean indent)`
`void` | `setMediaType(java.lang.String mediaType)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setType(int type)`
`void` | `setVersion(java.lang.String version)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`

Method Detail

### startDocument

    public void startDocument()
                       throws TransletException

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws TransletException

### attribute

    public void attribute(java.lang.String attributeName,
                          java.lang.String attributeValue)
                   throws TransletException

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws TransletException

### comment

    public void comment(java.lang.String comment)
                 throws TransletException

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

### startCDATA

    public void startCDATA()
                    throws TransletException

### endCDATA

    public void endCDATA()
                  throws TransletException

### setType

    public void setType(int type)

### setIndent

    public void setIndent(boolean indent)

### omitHeader

    public void omitHeader(boolean value)

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws TransletException

### setCdataElements

    public void setCdataElements(Hashtable elements)

### setDoctype

    public void setDoctype(java.lang.String system,
                           java.lang.String pub)

### setMediaType

    public void setMediaType(java.lang.String mediaType)

### setStandalone

    public void setStandalone(java.lang.String standalone)

### setVersion

    public void setVersion(java.lang.String version)

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.